package com.vazil.vridge.docs.repository;

import com.vazil.vridge.docs.model.GuideContent;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface GuideContentRepository extends CrudRepository<GuideContent, String> {
    Optional<GuideContent> findByGuideId(String guideId);
    void deleteByGuideId(String guideId);
}
